Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hieuhx68

[Yêu cầu] Nhờ mọi người giúp em với (17-01-2014)

Các bài được khuyến nghị

Em rÊt mong c¸c b¸c gióp em viÕt c¸c LIPS riªng lÎ víi c¸c néi dung sau. Em ch©n thµnh c¶m ¬n c¸c b¸c thËt nhiÒu

Em rất mong mọi người giúp em lips với nội dung. em đã up theo file đính kèm. Em cảm ơn rất nhiều ạ. Lần đầu tiên em up ko biết load file thế nào nên đành để link. hic, sory mọi người

link ảnh: nội dung em yêu cầu có cả hình vẽ ạ http://s1232.photobucket.com/user/hieuhx68/media/LINH%20TINH/Untitled_zps5316adea.jpg.html

link file cad : https://drive.google.com/file/d/0B7bTpfrb3bORNlkydDcyS2xFLWs/edit?usp=sharing

Em rÊt mong c¸c b¸c gióp em viÕt c¸c LIPS riªng lÎ víi c¸c néi dung sau. Em ch©n thµnh c¶m ¬n c¸c b¸c thËt nhiÒu
 
Em rÊt mong c¸c b¸c gióp em viÕt c¸c LIPS riªng lÎ víi c¸c néi dung sau. Em ch©n thµnh c¶m ¬n c¸c b¸c thËt nhiÒu
 
Em rÊt mong c¸c b¸c gióp em viÕt c¸c LIPS riªng lÎ víi c¸c néi dung sau. Em ch©n thµnh c¶m ¬n c¸c b¸c thËt nhiÒu

 

 
Em rÊt mong c¸c b¸c gióp em viÕt c¸c LIPS riªng lÎ víi c¸c néi dung sau. Em ch©n thµnh c¶m ¬n c¸c b¸c thËt nhiÒu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1). Chữ hoa thành chữ thường: rất có thể font đó chỉ cho viết chữ hoa mà không cho viết chữ thường.

2). Dời text: dùng lệnh move.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1). Chữ hoa thành chữ thường: rất có thể font đó chỉ cho viết chữ hoa mà không cho viết chữ thường.

2). Dời text: dùng lệnh move.

Hic. mục 2. nếu dùng move thì làm sao cho nhiều đoạn text cách đều nhau được bác. nếu cho được thì cũng rất khó vì phải qua 2 bước:

- bước 1: move hết các text về chân đường thẳng

- bước 2: move nó đi 1 khoẳng cách 

Bác có cách nào giúp em ko? nếu nhiều text thì em thấy làm lâu quá.

3. Lips 3 bác giúp em luôn với, có rất nhiều lips đo rồi nhưng chưa có cái nào đo được như em muốn. thanks bác lần nữa ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hơi bận nên tạm gợi ý bạn thế này (nếu ko dùng, xin đừng ném đá :D )

1. Bác Hà đã nói

2. Nếu luôn luôn là k/cách thẳng đứng thì có thể kiểm tra thành phần Y tọa độ 1 điểm thuộc line

Sau đó chọn các text muốn chỉnh & chỉnh Position Y của text trong bảng properties = Y (đã có + khoảng cách)

--> X tương tự :D :D :D

3. Tạo 1 dim style chỉ có text dim (ko dim line, ...)

Vẽ polyline qua 1;2;3;4;5

Quick dim cho polyline vừa tạo

(Nếu cần kết quả là text thì EX nó ra)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hơi bận nên tạm gợi ý bạn thế này (nếu ko dùng, xin đừng ném đá :D )

1. Bác Hà đã nói

2. Nếu luôn luôn là k/cách thẳng đứng thì có thể kiểm tra thành phần Y tọa độ 1 điểm thuộc line

Sau đó chọn các text muốn chỉnh & chỉnh Position Y của text trong bảng properties = Y (đã có + khoảng cách)

--> X tương tự :D :D :D

3. Tạo 1 dim style chỉ có text dim (ko dim line, ...)

Vẽ polyline qua 1;2;3;4;5

Quick dim cho polyline vừa tạo

(Nếu cần kết quả là text thì EX nó ra)

Thanks bác.(1) thì có thể là như vậy rồi, mục (3) í tưởng của bác cũng hay.

(2) em thấy có rất nhiều lips đo khoảng cách trên diễn đàn rất hay, chỉ cần sửa lại 1 chút là ok, nhưng trình độ về lips =0 nên đành chịu. hic.

riêng mục (3) thì em thấy có lips sau của bác ketxu rất hay và gần đúng như í em, nhưng các bác fix thêm cho em cái lựa chọn text chuẩn và ko ghi mới chứ ko ghi đè thì hay quá ạ. 

 

(defun C:kc( / ss lstLine lstText z dxf ss->list Compare kc)

(princ "\nChon cac doi tuong *LINE va *TEXT...")

(setq  ss (ssget '((0 . "*LINE,*TEXT")))

  dxf   (lambda(id en)(cdr (assoc id (entget en))))

  ss->list  (lambda(ss)(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))

  Laydt   (lambda(ss kieu)(vl-remove-if-not '(lambda(x) (wcmatch (dxf 0 x) kieu)) (ss->list ss)))

  Compare  (lambda(a B)(< (car(dxf 10 a))(car(dxf 10 B))))

  lstLine  (vl-sort (Laydt ss "*LINE") 'Compare)

  lstText  (vl-sort (Laydt ss "*TEXT") 'Compare)

)

(cond

((/=  (1- (length lstLine)) (length lstText))

  (alert "So *LINE va *TEXT khong phu hop.")

  (exit))

(T

(setq z 0)

(repeat (length lstText)

  (setq kc (- (car (dxf 10 (nth (1+ z) lstLine))) (car (dxf 10 (nth z lstLine)))))

  (entmod (subst (cons 1 (rtos kc 2 2)) (assoc 1 (entget (nth z lstText))) (entget (nth z lstText))))

  (setq z (1+ z)))

)) )

(defun C:kcmc( / ss lstLine lstText z dxf ss->list Compare kc)
(princ "\nChon cac doi tuong *LINE va *TEXT...")
(setq  ss (ssget '((0 . "*LINE,*TEXT")))
  dxf   (lambda(id en)(cdr (assoc id (entget en))))
  ss->list  (lambda(ss)(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
  Laydt   (lambda(ss kieu)(vl-remove-if-not '(lambda(x) (wcmatch (dxf 0 x) kieu)) (ss->list ss)))
  Compare  (lambda(a B)(< (car(dxf 10 a))(car(dxf 10 B))))
  lstLine  (vl-sort (Laydt ss "*LINE") 'Compare)
  lstText  (vl-sort (Laydt ss "*TEXT") 'Compare)
)
(cond
((/=  (1- (length lstLine)) (length lstText))
  (alert "So *LINE va *TEXT khong phu hop.")
  (exit))
(T
(setq z 0)
(repeat (length lstText)
  (setq kc (- (car (dxf 10 (nth (1+ z) lstLine))) (car (dxf 10 (nth z lstLine)))))
  (entmod (subst (cons 1 (rtos kc 2 2)) (assoc 1 (entget (nth z lstText))) (entget (nth z lstText))))
  (setq z (1+ z)))
)) )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×